%Orthonormalbasis und Matrixexponentialfunktion
%Teilaufgabe b)
format long;
C=             % [todo] Matrix C eingeben
[V,D]=         % [todo] Eigenvektoren und -werte von C berechnen
[Q,R]=         % [todo] QR-Zerlegung von V berechnen
b1=Q(:,1), b2=Q(:,2), b3=Q(:,3) % 
%Zum Vergleich:
e1=[0 1 0]', e2=[1 0 -1]'/sqrt(2)
e3=[1 0 1]'/sqrt(2)
% b1 =
%   -0.707106781186547
%                    0
%   -0.707106781186547
% b2 =
%      0
%      1
%      0
% b3 =
%   -0.707106781186547
%                    0
%    0.707106781186548
% e1 =
%      0
%      1
%      0
% e2 =
%    0.707106781186547
%                    0
%   -0.707106781186547
% e3 =
%    0.707106781186547
%                    0
%    0.707106781186547
% 
% Wir sehen, dass die Eigenbasen b1,b2,b3 (mit QR berechnet) 
% und e3,e1,e2% (mit Schmidt berechnet) uebereinstimmen: 
% b1=-e3, b2=e1 und b3=-e2. Das Vorzeichen hat aber 
% keinen Einfluss auf der Orthonormalitaet der Basen.

%Teilaufgabe c)
T=                    %% [todo] Transformationsmatrix eingeben
expC=T*diag( ... )*T' %% [todo] korrekte Diagonalwerte eingeben
expm(C)               %% zum Vergleich mit der MATLAB Funktion expm
% expC =
%   74.390519271874012                   0 -74.022639830702559
%                    0   7.389056098930650                   0
%  -74.022639830702559                   0  74.390519271874012
% ans =
%   74.390519271874140                   0 -74.022639830702687
%                    0   7.389056098930652                   0
%  -74.022639830702701                   0  74.390519271874126
%Wir sehen, dass das Ergebnis mit der MATLAB-Exponentialfunktion
%uebereinstimmt.
