function [p,q] = raeuber_beute_modell(alpha)
% Diese Funktion nimmt den Parameter \alpha>0 und gibt
% p und q zurueck, welche die Werte [p^100,q^100] der Rekursion
% [p^k,q^k] = [0.6, 0.2; -alpha, 1.2] [p^k,q^k]
% repraesentieren.
%-----------------------------------------------------------------
% Schrittweite 0.1, t_0=0, t_100=100*0.1=10
N = 101;
t = %% [todo] Schritte t_0, t_1, ..., t_100 
% Startwerte
x0 = %% [todo]
% Rekursionsmatrix A
A = %% [todo]
% Inizialisierung der Vektoren p_vec, q_vec.
p_vec=zeros(N,1);
p_vec(1)= %% [todo]
q_vec=zeros(N,1);
q_vec(1)= %% [todo]

% Ausfuehrung der Rekursion 100 mal
for k=2:N
    x = %% [todo] Rekursion anwenden
    p_vec(k,1) = x(1);
    q_vec(k,1) = x(2);
end

% Plotten der Folgen x^k, k=0,...,100
figure;
plot(t, p_vec,'-xr', t, q_vec, '-*b')
xlabel('t_k')
ylabel('p_k, q_k')
legend('p_k', 'q_k')

% Ausgaben
p = p_vec(N);
q = q_vec(N);
end
